Bug 1547420 (CVE-2018-1000075) - CVE-2018-1000075 rubygems: Infinite loop vulnerability due to negative size in tar header causes Denial of Service
Summary: CVE-2018-1000075 rubygems: Infinite loop vulnerability due to negative size i...
Status: NEW
Alias: CVE-2018-1000075
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180215,reported=2...
Keywords: Security
Depends On: 1651626 1651801 1652039 1652040 1547431 1547432 1547433 1547442 1549913 1549914 1554493 1554494 1651605 1651612 1651618
Blocks: 1547429
TreeView+ depends on / blocked
 
Reported: 2018-02-21 10:29 UTC by Adam Mariš
Modified: 2019-04-22 21:33 UTC (History)
29 users (show)

Fixed In Version: rubygems 2.7.6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3729 None None None 2018-11-29 09:55 UTC
Red Hat Product Errata RHSA-2018:3730 None None None 2018-11-29 10:09 UTC
Red Hat Product Errata RHSA-2018:3731 None None None 2018-11-29 10:21 UTC

Description Adam Mariš 2018-02-21 10:29:15 UTC
Negative size in ruby gem package tar header can cause and infinite loop.

Upstream fix:

https://github.com/rubygems/rubygems/commit/92e98bf8f810bd812f919120d4832df51bc25d83

External References:

https://www.ruby-lang.org/en/news/2018/02/17/multiple-vulnerabilities-in-rubygems/

Comment 1 Adam Mariš 2018-02-21 10:35:42 UTC
Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1547431]

Comment 9 Andrej Nemec 2018-05-14 13:58:56 UTC
Statement:

This issue affects the versions of rubygems as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having security impact of Low. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

This issue affects the versions of rubygems as shipped with Red Hat Satellite version 6 on Red Hat Enterprise Linux version 5. Red Hat Product Security has rated this issue as having security impact of Low. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 14 errata-xmlrpc 2018-11-29 09:55:26 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3729 https://access.redhat.com/errata/RHSA-2018:3729

Comment 15 errata-xmlrpc 2018-11-29 10:09:47 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3730 https://access.redhat.com/errata/RHSA-2018:3730

Comment 16 errata-xmlrpc 2018-11-29 10:21:33 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3731 https://access.redhat.com/errata/RHSA-2018:3731


Note You need to log in before you can comment on or make changes to this bug.